"use client";
import { StyledDisplay, getPropDefaults } from "./base/Display.js";
import { toReactNodes } from "../../utils/toReactNodes/toReactNodes.js";
import { jsx } from "@emotion/react/jsx-runtime";
//#region src/components/typography/Display.tsx
function Display(props) {
	const propsWithDefaults = getPropDefaults(props);
	let reactNodes = props.children || null;
	if (props.content) reactNodes = toReactNodes(props.content);
	return /* @__PURE__ */ jsx(StyledDisplay, {
		...propsWithDefaults,
		children: reactNodes
	});
}
//#endregion
export { Display };
